메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /file//download

지정한 사이트의 llms.txt 파일을 받습니다. Content-Disposition 헤더로 브라우저에서 저장 대화 상자가 뜹니다. 공개 엔드포인트이며 인증이 필요 없습니다.

경로 매개변수

siteId
string
필수
사이트 ID입니다.

쿼리 매개변수

full
boolean
기본값:"false"
true이면 페이지별 전체 텍스트가 포함된 버전을 받습니다.

응답

적절한 헤더가 붙은 llms.txt 파일이 반환됩니다:
  • Content-Type: text/plain; charset=utf-8
  • Content-Disposition: attachment; filename="{hostname}-llms.txt"
  • Cache-Control: public, max-age=300
파일명은 사이트 호스트명을 기준으로 생성됩니다(예: example-com-llms.txt, 전체 텍스트 버전은 example-com-llms-full.txt).
curl -X GET https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000/download \
  -o llms.txt